# CbcCompareUser Class Reference

`#include <CbcCompareUser.hpp>`

Inheritance diagram for CbcCompareUser:
[legend]
Collaboration diagram for CbcCompareUser:
[legend]

List of all members.

## Public Member Functions
| CbcCompareUser ()
| CbcCompareUser (double weight)
| CbcCompareUser (const CbcCompareUser &rhs)
CbcCompareUser & | operator= (const CbcCompareUser &rhs)
virtual CbcCompareBase * | clone () const
| Clone.
| ~CbcCompareUser ()
virtual bool | test (CbcNode *x, CbcNode *y)
| This is test function.
virtual bool | alternateTest (CbcNode *x, CbcNode *y)
| This is alternate test function.
virtual bool | newSolution (CbcModel *model, double objectiveAtContinuous, int numberInfeasibilitiesAtContinuous)
| Reconsider behaviour after discovering a new solution.
virtual bool | fullScan () const
| Returns true if wants code to do scan with alternate criterion.
virtual bool | every1000Nodes (CbcModel *model, int numberNodes)
double | getWeight () const
void | setWeight (double weight)
## Protected Attributes
double | weight_
double | saveWeight_
int | numberSolutions_
int | count_
int | treeSize_

## Detailed Description

Definition at line 17 of file CbcCompareUser.hpp.

## Constructor & Destructor Documentation

CbcCompareUser::CbcCompareUser | ( |  | ) |

CbcCompareUser::CbcCompareUser | ( | double | weight | ) |

CbcCompareUser::CbcCompareUser | ( | const CbcCompareUser & | rhs | ) |

CbcCompareUser::~CbcCompareUser | ( |  | ) |

## Member Function Documentation

CbcCompareUser& CbcCompareUser::operator= | ( | const CbcCompareUser & | rhs | ) |

Reimplemented from CbcCompareBase.

virtual CbcCompareBase* CbcCompareUser::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareUser::test | ( | CbcNode * | ,
|  | CbcNode * |  |
| ) |  |  | `[virtual]`

This is test function.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareUser::alternateTest | ( | CbcNode * | x,
|  | CbcNode * | y |
| ) |  |  | `[virtual]`

This is alternate test function.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareUser::newSolution | ( | CbcModel * | ,
|  | double | ,
|  | int |  |
| ) |  |  | `[virtual]`

Reconsider behaviour after discovering a new solution.

This allows any method to change its behaviour. It is called after each solution.

The method should return true if changes are made which will alter the evaluation criteria applied to a node. (So that in cases where the search tree is sorted, it can be properly rebuilt.)

Reimplemented from CbcCompareBase.

virtual bool CbcCompareUser::fullScan | ( |  | ) | const`[virtual]`

Returns true if wants code to do scan with alternate criterion.

Reimplemented from CbcCompareBase.

virtual bool CbcCompareUser::every1000Nodes | ( | CbcModel * | model,
|  | int | numberNodes |
| ) |  |  | `[virtual]`

Reimplemented from CbcCompareBase.

double CbcCompareUser::getWeight | ( |  | ) | const`[inline]`

Definition at line 53 of file CbcCompareUser.hpp.

void CbcCompareUser::setWeight | ( | double | weight | ) | `[inline]`

Definition at line 55 of file CbcCompareUser.hpp.

## Member Data Documentation

double CbcCompareUser::weight_`[protected]`

Definition at line 59 of file CbcCompareUser.hpp.

double CbcCompareUser::saveWeight_`[protected]`

Definition at line 61 of file CbcCompareUser.hpp.

int CbcCompareUser::numberSolutions_`[protected]`

Definition at line 63 of file CbcCompareUser.hpp.

int CbcCompareUser::count_`[mutable, protected]`

Definition at line 65 of file CbcCompareUser.hpp.

int CbcCompareUser::treeSize_`[protected]`

Definition at line 67 of file CbcCompareUser.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.1/Cbc/examples/CbcCompareUser.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines